http://afptrack.alimama.com/imp?pid=mm_116831134_14568445_57520777&cid=68422&mid=203821&oid=9798&productType=1

QQ登录

只需一步,快速开始

扫一扫,访问微社区

登录 | 注册 | 找回密码

三维网

 找回密码
 注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

展开

通知     

系统
2017-07-09
系统
2017-07-06
系统
2017-06-20
查看: 551|回复: 39
收起左侧

[已解决] 装配体的名称图号分离宏修改

[复制链接]
发表于 2017-8-10 11:57:47 | 显示全部楼层 |阅读模式
安装
主题分类用于问题归类:

马上注册,结识高手,享用更多资源,轻松玩转三维网社区。

您需要 登录 才可以下载或查看,没有帐号?注册

x
本帖最后由 秋韵舞江机 于 2017-8-16 11:21 编辑
1 o3 K! n! V! z6 L% c  N: e4 T" _  O% T+ |- a# r5 i
各位大大,我手上有一个名称图号分离宏,对零件来说,非常好用,装配体也可以,就是装配体下的子装配和零件还得一个一个手动去运行,能不能改成遍历所选的装配体,连同装配体、子装配、零件一起修改,因本人不懂宏,我想请论坛里的高手大大们帮我修改一下,能在装配体的模式下用,现在只能在零件的模式下用,请高人出手,谢谢!!!文件名称图号命名规则:图号+空格+名称
% L7 l0 J9 m# |9 \下面是宏文件:
% ~# x4 ^& r0 w8 g' m/ m
( j4 ]7 m+ q* @9 }  H
$ |1 u0 o% Z4 q. P
* f. O* [$ f( e5 P" J0 o, `9 f' _ 名称图号分离.rar (8.42 KB, 下载次数: 14)
回复过本主题
的还回复过:
发表于 2017-8-10 15:46:12 | 显示全部楼层
有個簡單的宏,在裝配体執行效果如图是否適用?9 U6 ~9 N& R/ o0 S& m
, j+ w, u9 i# R; P. y) E9 ], ~# h
. s4 C" e% Y( J( C, F7 K" e8 o
1.png
215
发表于 2017-8-10 20:28:33 | 显示全部楼层
我在SW2016下测试你的这个宏在装配体下能正常使用
 楼主| 发表于 2017-8-10 23:10:44 | 显示全部楼层
本帖最后由 秋韵舞江机 于 2017-8-10 23:14 编辑
9 A3 e) N+ ^' X. k' [/ e, r
ryouss 发表于 2017-8-10 15:46
$ y; E# E" e, J+ O, f& Y" R有個簡單的宏,在裝配体執行效果如图是否適用?
; a/ s1 I" h* B
谢谢梁大回复,这个宏对名称和图号长度在限制吗?另请教一下这个宏能在装配体的状态下连装配体及装配体下子装配和零件一起修改吗。
& b2 g1 h  _* X) B; G
 楼主| 发表于 2017-8-10 23:12:39 | 显示全部楼层
NC@jiang@nan 发表于 2017-8-10 20:28. Z& C" @' a4 ~/ n" G
我在SW2016下测试你的这个宏在装配体下能正常使用
2 G5 n. v: U* @' n0 x% a
N大可能误会我的意思了,可以修改装配体的名称图号,我的意思是在装配体的模式下,运行此宏,连装配体本身及子装配和零件一起修改!
发表于 2017-8-11 10:46:45 | 显示全部楼层
楼主的 想法是 把 图号分离宏 嵌套进 遍历宏中去
! w( _5 e1 T9 o# B执行遍历宏之后   会遍历装配体中的每一个 子装配  每一个零件 ) u* E1 a# G1 Q. a+ N$ x: W1 q
这个可能要你自己 研究研究 VBA相关的东西了
发表于 2017-8-11 14:48:23 | 显示全部楼层
本帖最后由 287636713 于 2017-8-11 14:53 编辑 4 F% l9 Z' X/ ?4 v+ q% ]
5 S- B5 o. n2 ?2 h! S1 `2 ?0 Q
俺只会笨方法,仅供参考。0 F6 ?/ y8 J% ]9 x. W1 L% I, v
1.利用网络上大大分享的批量修改属性工具,打开所有需要修改的零件及组件档案;
0 x. W8 U8 }4 z0 u) Q/ c; q! B2.利用Excel数据》分列工具,将档案名称进行分列处理;
4 Y  F+ f3 W' ?5 Q! n+ y, Q) Q, D* g3 i
00.PNG 01.PNG 02.PNG / q0 e8 V# g9 D3 V3 r
3.批量写入需要导入的属性(如图号&名称)& r0 A% y2 g9 o9 F1 B
03.PNG 6 b  r; p' f7 U
: w5 C5 C; S% [) l, y3 N
ps; 免责申明:非原创,俺从别处学回来的。0 k6 g, K0 V- C1 k$ v& N9 p
: |3 Q; P) W2 u9 n3 u% t. T4 O

/ E% \+ h/ x5 G& I7 |( D! y, x% p% I4 u6 q

点评

感谢28同学献出自己的龟宿  详情 回复 发表于 2017-8-11 14:53
发表于 2017-8-11 14:53:23 | 显示全部楼层
287636713 发表于 2017-8-11 14:480 d& |% G+ ~. V1 ]% y
俺只会笨方法,仅供参考。
+ |( D0 x+ j6 c/ k2 I) K& i1.利用网络上大大分享的批量修改属性工具,打开所有需要修改的零件及组件档案; ...

9 Z. V$ ?2 ]5 p! ~# J- W感谢28同学献出自己的龟宿
发表于 2017-8-11 16:17:05 | 显示全部楼层
本帖最后由 ryouss 于 2017-8-11 21:43 编辑 6 H' k+ j. w6 i/ V% g: B, u
( I% \3 p3 C6 Q. n
參考眾大師的結晶,稍加整理一下,因沒經大批量及大容量的組件測試過,
- p- R3 p& L# V/ M- K所以建議僅在小批量及小容量的組件試試看了!
1 A- x6 @8 y9 t: b
% ]0 t- f0 k/ ^: G  j執行效果如附图.7 [. ^) Z# o) h# P- ]( T

* o& @/ M) {/ G! h 1.png
. F7 `6 O* O" g  L7 t8 `* q4 ~4 }5 e' n6 T+ P! V. o
2.png ; \6 L% u; I- e9 o; j8 C9 e

6 t, r, }3 G" q/ ~ 3.png
  1. ' ******************************************************************************' A! G4 x! ?/ o9 l: ^; a0 a$ Z3 l
  2. '  macro recorded on 08/11/17 by lsc$ D9 Y1 H4 E, v/ `) S0 V) o. s
  3. '
    & Y: ]/ @9 O+ Y- C9 k
  4. '  組合件及零件自訂屬性名稱.$ M, r, D" v5 \$ ~: \0 K
  5. '$ y9 Y& m5 z1 {  f, ^3 O
  6. '  本例之編號名稱是以 "_" 之符號分隔.
    , r, w0 H5 P% E. E) y" h8 T' J8 a8 o
  7. '
    2 N& u/ z, n- O
  8. ' 1. 把組件及零件置放在 "同文件路徑" 下+ {) d3 Z+ R. d4 J2 O
  9. '- Z& G5 v: l7 j. t% [/ z- }% [+ t
  10. ' 2. 開組件,執行 main 宏
    $ g" z  F! u# W# F# X$ p
  11. '
    0 C4 g5 k9 J: i; j- r& Q1 S
  12. ' ******************************************************************************  b" R  N. C& F& Z
  13. Dim TopDocPathOnly As String
    9 ~( A: Z3 z# w. r
  14. Dim swModel As SldWorks.ModelDoc2
    " m! F5 u, r( o3 A: Z& M) W  C0 S
  15. Dim swApp As SldWorks.SldWorks! M5 D) H1 ?) z6 y
  16. Dim longstatus As Long, longwarnings As Long
    0 l5 ?9 C2 {4 _
  17. # a1 \& m' m' U! u
  18. Sub main()
    9 v  M6 i: F! {/ |! @* ~; H# i
  19. Set swApp = Application.SldWorks
    ; M  k* ?; r' {' ]# Z$ l
  20. Set TopDoc = swApp.ActiveDoc '總裝對象
    ) Z8 a% N. @( W( F; t* N3 j: `% ]
  21. If TopDoc.GetType <> 2 Then
    $ B& {- A# _, n. F
  22.     MsgBox ("Open Assembly")
    & c! v4 V3 T: Z7 z) Q
  23.     Exit Sub '不是裝配=退出
    8 s) @! C  A/ b7 J7 H
  24. End If: `6 I8 d" c0 Y& ]+ @' [4 b
  25. TopDocPathSplit = Split(TopDoc.GetPathName, "\") '分割' d& T1 n: ]+ M5 K, F+ M
  26. TopDocName = TopDocPathSplit(UBound(TopDocPathSplit)) '總裝文件名稱( q# r: b' f( C" ?3 U1 Z( b" s) [
  27. Path_ = TopDoc.GetPathName( V" o6 K$ e* ]+ c% E( r
  28. TopDocName = Left(TopDocName, Len(TopDocName) - 7) '總裝文件名稱(排除.SLDASM)
    ; F# z9 K. V6 s
  29. TopDocPathOnly = TopDocPathSplit(UBound(TopDocPathSplit) - 1) '總裝目錄名稱
    ' k& ]: u  l. h: Q  y+ o. L
  30. TopConfString = TopDoc.GetActiveConfiguration.Name '總裝配置名稱
    9 r7 j2 O' g! z6 ^) D3 ~
  31. SubAsm TopDoc, TopConfString '遍歷, @3 L7 J) D. j7 Z! y/ r

  32. 3 B; v" r. w0 @6 e# z) n
  33. End Sub  v3 ~3 C/ f5 u" h! h: N4 {# w
  34. 2 m1 e( R- v" L1 ]
  35. Function SubAsm(AsmDoc, ConfString)
    % n" T7 Q9 e! [
  36. Dim name_ay() As String; I. w: b' [6 @$ p! ~7 I
  37. Set swModel = swApp.ActiveDoc
    3 J6 V  W' X" a- S1 q' c
  38. Set Configuration = AsmDoc.GetConfigurationByName(ConfString)
    $ y4 o5 f8 T1 E( k5 @0 l6 q
  39. Set RootComponent = Configuration.GetRootComponent/ V# m, [- ^! F4 v0 J
  40. Components = RootComponent.GetChildren- n& k: x3 m0 B7 ^
  41. For Each Child In Components '總裝抓全部零件名稱) N+ L0 u$ x  \) C# K
  42.     i = i + 1
    % ]: o+ X9 V# E8 E2 W/ @
  43.     ReDim Preserve name_ay(i)
    9 [$ I5 N" s7 X$ x4 f* X
  44.     Set ChildModel = Child.GetModelDoc4 X5 f+ k8 o! w
  45.     ChildPathSplit = Split(Child.GetPathName, "\") '分割0 D8 K. l" w- P6 o+ D! [
  46.     ChildName = ChildPathSplit(UBound(ChildPathSplit)) '零件文件名稱
    4 h: r- g+ A3 m; J: O8 z) s, ?
  47.     name_ay(i) = Left(ChildName, Len(ChildName) - 7) '編號_名稱
    8 {9 M+ ~9 Z7 M+ _' H% g
  48.     swModel.DeleteCustomInfo2 "", name_ay(i)' V- T' z- T7 K0 e
  49.     swModel.AddCustomInfo2 name_ay(i), swCustomInfoText, """SW-Material@" & name_ay(i) & ".SLDPRT"""
    - l" h7 G$ e. i4 W
  50. Next7 r) }: f, C, b2 f  i

  51. 0 M& Q* X2 \( y. e# ^% m- c, `
  52. '~~~~~~~ parts_property ~~~~~~~
    & U: i7 W7 ]- z6 G
  53. Dim longstatus As Long, longwarnings As Long
    . {. i& t9 w. h  @0 [: j6 Q) z
  54. Dim retval As String
    " Z6 }4 a+ a5 m0 D
  55. Set Part = swApp.ActiveDoc# W1 t  ~$ F* M( k# Y8 x. Y) g" `; `7 }
  56. path_name = Part.GetPathName6 T6 e$ ^, J* j& I+ D* o
  57. TopDocPathSplit = Split(path_name, "\") '分割8 |3 X* |0 g- W
  58. TopDocName = TopDocPathSplit(UBound(TopDocPathSplit))
    ! J; S1 e0 z  D, R8 r
  59. Path_ = Left(path_name, Len(path_name) - Len(TopDocName))3 u4 ]: Z0 z: l6 t& o  q8 D0 J7 s( {
  60. For n = 1 To i2 v7 Z. X' u5 g, U9 z, C3 G
  61.     Set Part = swApp.OpenDoc6(Path_ & name_ay(n) & ".SLDPRT", 1, 0, "", longstatus, longwarnings)2 d$ f' N3 F& m1 g5 H
  62.     swApp.ActivateDoc2 name_ay(n) & ".SLDPRT", False, longstatus
    1 q" [9 u) P9 D" X& O1 H
  63.     Set swModel = swApp.ActiveDoc& `0 c( p4 u; {7 y' n. R
  64.     '~~~ 注意 L1 設定 ~~~
    0 S! W# d! ?# j+ O1 o0 o6 f7 N
  65.     L1 = InStrRev(name_ay(n), "_", , 0) '編號_名稱是以 "_" 之符號分隔,可依需要更改所需之符號' u( {1 v, z/ G4 V  D; @
  66.     '~~~
    $ ^8 t! g0 I/ W2 D% L
  67.     code_part = Left(name_ay(n), L1 - 1) ' 編號0 k' J- d# o) a3 r
  68.     name_part = Right(name_ay(n), Len(name_ay(n)) - L1) '名稱
    ) |7 b5 j  Z. m* t8 {; T) r9 J& S
  69.     retval = swModel.DeleteCustomInfo("材質")
    3 t" X/ e3 R$ c( {$ ?, u
  70.     retval = swModel.AddCustomInfo3("", "材質", swCustomInfoText, """SW-Material@" & name_ay(n) & ".SLDPRT"""), {* G' O7 A  t: a2 S. Z+ e
  71.     retval = swModel.DeleteCustomInfo("名稱")/ M& r2 c" T0 S% k
  72.     retval = swModel.AddCustomInfo3("", "名稱", swCustomInfoText, name_part)
    * W  M' L2 N( U7 m8 \2 g1 P
  73.     retval = swModel.DeleteCustomInfo("編號")
      y1 J% R1 A: h! {& ]
  74.     retval = swModel.AddCustomInfo3("", "編號", swCustomInfoText, code_part)6 l  ]/ |* v. c/ P
  75.     swModel.Save
    8 m( ~9 y* E$ P
  76.     swApp.CloseDoc name_ay(n) & ".SLDPRT"2 T) ~( Z# x- X
  77. Next- A7 W4 l/ O8 s: P2 Y3 R
  78. End Function" V1 d& U2 ^7 ?2 d  g
复制代码
2 B& W+ _8 T, C8 ^$ ?

- r* M: K  _6 F9 T  \* b' ?! c
3 E- ?' k2 c- E3 V6 M8 f Macro1.rar (7.28 KB, 下载次数: 10)
215
发表于 2017-8-11 20:05:52 | 显示全部楼层
三维网技术论坛复制代码真是麻烦。复制下来一大堆的乱码。就算用下面的“复制代码”功能复制下来的照样是一堆的乱码。
发表于 2017-8-11 20:30:56 | 显示全部楼层
NC@jiang@nan 发表于 2017-8-11 20:050 @" o8 b/ U* i) n$ n+ N" q: Z
三维网技术论坛复制代码真是麻烦。复制下来一大堆的乱码。就算用下面的“复制代码”功能复制下来的照样是一 ...

, f3 \$ q$ X! p. v5 I2 ~是喔!即時補上swp

点评

谢谢梁大。 正在复制您的代码在对照修改,刷新发现您上传了SWP原文件,谢谢了。 三维网复制代码这个功能真的需要完善完善了,好麻烦。  详情 回复 发表于 2017-8-11 20:52
215
发表于 2017-8-11 20:52:56 | 显示全部楼层
ryouss 发表于 2017-8-11 20:30; z% x! A: j2 F& g) Q9 l- p( m: u9 m
是喔!即時補上swp
9 Q( Q1 s: k4 ^% V
谢谢梁大。
, P' F* H+ z& O  ]# ~0 V  ]# }( e正在复制您的代码在对照修改,刷新发现您上传了SWP原文件,谢谢了。
' U! l3 `  u3 V6 I% T6 p三维网复制代码这个功能真的需要完善完善了,好麻烦。
发表于 2017-8-11 21:03:40 | 显示全部楼层
NC@jiang@nan 发表于 2017-8-11 20:52
% v: `. p8 y5 X# ^: V9 Y谢谢梁大。* I* [) ~) q- R' ]& h: `  C
正在复制您的代码在对照修改,刷新发现您上传了SWP原文件,谢谢了。
& D: h- _& ^; \# m( ?" F三维网复制代码这个功 ...

7 k* U" p) S5 a& I* x順便幫忙試試word轉譯的簡版是否可用!謝謝

点评

梁大,经测试,复制您的SWP中的内容至word后用简繁转换功能转换后没用。打开您的SWP后查看代码的文字部分是乱码,复制到word转换后还是乱码。  详情 回复 发表于 2017-8-11 21:17
215
发表于 2017-8-11 21:17:17 | 显示全部楼层
ryouss 发表于 2017-8-11 21:03/ U/ A2 O- [' W5 K. ?: S
順便幫忙試試word轉譯的簡版是否可用!謝謝

' z& W1 v% c! [梁大,经测试,复制您的SWP中的内容至word后用简繁转换功能转换后没用。打开您的SWP后查看代码的文字部分是乱码,复制到word转换后还是乱码。
发表于 2017-8-11 21:38:43 | 显示全部楼层
NC@jiang@nan 发表于 2017-8-11 21:17
/ K' ?% }: _- E0 ]% a7 z# P梁大,经测试,复制您的SWP中的内容至word后用简繁转换功能转换后没用。打开您的SWP后查看代码的文字部分 ...

3 @6 U* j8 }9 ~! k9 `( O謝謝測試!那只能用繁版自行重打字了* T5 B5 {+ s8 ~1 ?" ~
( k# T6 Z2 C' ]/ q) N' j% |' i
會再重傳swp.

点评

梁大,我删除了所有标准件后测试,总装层下的的所有零件的图号和名称分离成功。 稍遗憾的是不能分离子装配体和子装配体下的零件的图号、名称。 Function SubAsm(AsmDoc, ConfString) 这些Function子程序代码  详情 回复 发表于 2017-8-11 22:18
梁大,您又重传了SWP吗? 我看上传时间是刚上传,下载下来打开还是乱码。 因为我之前的文件,零部件是 代号_名称 的形式存档的,但标准件不是以这种格式存档的,所以我打开装配体后测试时报错了,不知道是因为文件  详情 回复 发表于 2017-8-11 22:01
215
发表于 2017-8-11 22:01:06 | 显示全部楼层
ryouss 发表于 2017-8-11 21:38. R. \7 ^9 E' n" W
謝謝測試!那只能用繁版自行重打字了
6 U0 G; r/ q8 e+ A) Y! [2 x  A+ F
會再重傳swp.
+ o- ]* R& B+ o; s* P
梁大,您又重传了SWP吗?
/ W8 u- `8 B- O* F) D% B' J, N我看上传时间是刚上传,下载下来打开还是乱码。& k2 P$ `6 R8 j0 ~0 F3 U4 B
因为我之前的文件,零部件是 代号_名称 的形式存档的,但标准件不是以这种格式存档的,所以我打开装配体后测试时报错了,不知道是因为文件存档名称的格式的问题还是什么问题。但是在读取标准件前已经遍历过了的打开过了的零件已经分离图号和名称成功了。我需要删除所有标准件后再测试下。
215
发表于 2017-8-11 22:18:52 | 显示全部楼层
ryouss 发表于 2017-8-11 21:38' d( [! z6 }" F; C( _
謝謝測試!那只能用繁版自行重打字了
% O' K' v+ D: h8 r0 B8 G% C- a9 w+ V1 `5 T4 u6 M
會再重傳swp.

. Q2 u; ?7 b% I" O6 f( H4 @梁大,我删除了所有标准件后测试,总装层下的的所有零件的图号和名称分离成功。1 {9 J! H. F/ ~
稍遗憾的是不能分离子装配体和子装配体下的零件的图号、名称。
" w4 D- Z4 N% v. ~
! e0 Y. K3 {" x4 D8 eFunction SubAsm(AsmDoc, ConfString)5 {) a5 S$ ]1 f: F4 ~) [

) @7 d9 Q% B6 Y' U+ G4 b8 n这些Function子程序代码我搞不清楚用法,想修改一下也没法下手。我还是需要多学习代码的知识了。
发表于 2017-8-11 22:29:20 | 显示全部楼层
本帖最后由 ryouss 于 2017-8-11 22:32 编辑
5 {& x" T# q6 q4 z2 t5 ?0 x
NC@jiang@nan 发表于 2017-8-11 22:18$ i8 h3 @( v- R; C7 J' j
梁大,我删除了所有标准件后测试,总装层下的的所有零件的图号和名称分离成功。3 z' ^! e& K) j" Q$ H! e
稍遗憾的是不能分离子装 ...
+ S% R. {& l9 w# z2 ?8 ^
謝謝測試.
  E6 \1 {/ g' i" j有關子装配体和子装配体下的零件的图号名称,尚再找資料學習中.
) a- w3 j( u5 l# _! ~6 r& k) t) q9 s' k
N大手中若是有資料尚請提供分享.
3 ?) b/ s4 E3 h

点评

梁大,我想起来了,之前好像闷大有分享过一个遍历装配体中零件数量把数量写入自定义属性的宏,从逻辑上分析的话,你的宏代码功能是否和闷大的差不多?是否可以两个宏结合下? 现在要我去新建一个宏文件基本上是不大  详情 回复 发表于 2017-8-11 22:54
梁大,我手是什么VBA的资料都没有,手上就只有一本VB的书,买了两年了,放在床头被狗啃坏了都没看。读书时还是DOS系统,这些编程语言都没学过,语法都搞不大清楚,现在只能寄希望于能从您和各位高人分享的精品宏文件  详情 回复 发表于 2017-8-11 22:50
215
发表于 2017-8-11 22:50:42 | 显示全部楼层
ryouss 发表于 2017-8-11 22:29. a1 b  D% r8 l+ y
謝謝測試.7 A0 A  X: l2 x% E; ?7 e. w
有關子装配体和子装配体下的零件的图号名称,尚再找資料學習中.
. C, I* {. _# m7 R8 o3 W* t
梁大,我手是什么VBA的资料都没有,手上就只有一本VB的书,买了两年了,放在床头被狗啃坏了都没看。读书时还是DOS系统,这些编程语言都没学过,语法都搞不大清楚,现在只能寄希望于能从您和各位高人分享的精品宏文件中多学习以提高一点水平了。有问题时还请各位老大位多多指点了。
215
发表于 2017-8-11 22:54:43 | 显示全部楼层
ryouss 发表于 2017-8-11 22:29
" `# J* Q" w$ S5 x' m  f謝謝測試.7 g, q* {& S( I& ]( B& @
有關子装配体和子装配体下的零件的图号名称,尚再找資料學習中.

" Z5 t; e( N+ r# V/ Q" V- n' K% R$ q梁大,我想起来了,之前好像闷大有分享过一个遍历装配体中零件数量把数量写入自定义属性的宏,从逻辑上分析的话,你的宏代码功能是否和闷大的差不多?是否可以两个宏结合下?
: z6 o7 o6 r( k. I! @8 J现在要我去新建一个宏文件基本上是不大现实的了,所以首先只能想想有没有类似功能的宏可以稍做修改来用。惭愧。
发表于 2017-8-11 23:20:20 | 显示全部楼层
NC@jiang@nan 发表于 2017-8-11 22:549 M% k( K" B" h  L  H$ u
梁大,我想起来了,之前好像闷大有分享过一个遍历装配体中零件数量把数量写入自定义属性的宏,从逻辑上分 ...

: f% _9 f+ w# l9 y$ ]& ~! W# {2 B# [7 U謝謝提供信息,查找了解了!

点评

闷大的宏的代码我这里有。我发TXT文件出来梁大你看看。  详情 回复 发表于 2017-8-12 00:23
215
发表于 2017-8-12 00:23:38 | 显示全部楼层
ryouss 发表于 2017-8-11 23:20$ L2 W& {# T" a
謝謝提供信息,查找了解了!

; S8 z! Q, m, @, p: ^闷大的宏的代码我这里有。我发TXT文件出来梁大你看看。

[遍歷宏]在總裝配內零件的自定義屬性寫入配套數量 代码.txt

4.3 KB, 下载次数: 5

 楼主| 发表于 2017-8-12 00:58:36 | 显示全部楼层
本帖最后由 秋韵舞江机 于 2017-8-12 01:04 编辑 5 S% z9 \: s4 H& Z
. J( x+ ^3 |' a" C8 |5 d3 l+ u5 j
感谢鹿大大及28大大!感谢各位的回复,感谢梁大大的回复及上传文件!您的宏我还没下载,但是有个问题,我现在的名称图号中间以空格区分,如果改成“-”号工作量非常大,不知能不能在我发的这个宏的基础上修改成可以遍历批处理的宏。
发表于 2017-8-12 08:32:40 | 显示全部楼层
本帖最后由 ryouss 于 2017-8-12 08:34 编辑
& g( O4 S5 C: Z* b, r' n
秋韵舞江机 发表于 2017-8-12 00:58& [+ z4 S: F* e' l
感谢鹿大大及28大大!感谢各位的回复,感谢梁大大的回复及上传文件!您的宏我还没下载,但是有个问题,我现 ...

' A" v' {' q, n# ~+ D5 o5 k# UL1 = InStrRev(name_ay(n), "_", , 0) '編號_名稱是以 "_" 之符號分隔,可依需要更改所需之符號
8 W# \' Z4 x% b, [) D5 C  q2 h0 n
% G- ?' ?' H- t
1. 看上面,把黑色的  "_"  改成  "空格"  就是% r- G" H8 a; \
2. 繁字自行改為簡字,綠色字可以不改.
( A9 Z- z! A! F( k
+ a8 a' l) L1 e( M- L
 楼主| 发表于 2017-8-12 10:10:09 | 显示全部楼层
ryouss 发表于 2017-8-12 08:32
6 S, r' K& [% C. T. R4 D4 a5 BL1 = InStrRev(name_ay(n), "_", , 0) '編號_名稱是以 "_" 之符號分隔,可依需要更改所需之符號4 M/ J$ U5 F/ u" }# g# e' A

6 {. y& P) c& w" f% A. E5 j1. 看 ...
9 y. ]. v9 x+ v/ j# E2 x9 D" J) g( D: Q
谢谢梁大细心指导!!
发表回复
您需要登录后才可以回帖 登录 | 注册

本版积分规则

Copyright © 2016-2020 http://www.3dportal.cn/ All Rights Reserved 京 ICP备13008828号

小黑屋|手机版|Archiver|三维网 ( 京ICP备13008828号 )

快速回复 返回顶部 返回列表